Page MenuHomePhabricator

Update Search for handleRequest
ClosedPublic

Authored by chad on Oct 13 2015, 8:48 PM.

Details

Summary

Ref T8628. Updates Search.

Test Plan

Did various searches, saved new queries, reordered, ran new queries.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

chad updated this revision to Diff 34446.Oct 13 2015, 8:48 PM
chad retitled this revision from to Update Search for handleRequest.
chad updated this object.
chad edited the test plan for this revision. (Show Details)
chad added a reviewer: epriestley.
epriestley requested changes to this revision.Oct 18 2015, 11:19 AM
epriestley edited edge metadata.

I think I got one issue.

src/applications/search/controller/PhabricatorSearchDeleteController.php
9

Did this change? Previously $data['engine'], now getURIData('engineClass')? I don't see a corresponding route change.

src/applications/search/controller/PhabricatorSearchEditController.php
8

$id is unused / not present in the URI?

This revision now requires changes to proceed.Oct 18 2015, 11:19 AM
chad updated this revision to Diff 34543.Oct 20 2015, 3:44 PM
chad edited edge metadata.
chad marked 2 inline comments as done.
  • Fix per comments
epriestley accepted this revision.Oct 20 2015, 3:56 PM
epriestley edited edge metadata.
This revision is now accepted and ready to land.Oct 20 2015, 3:56 PM
This revision was automatically updated to reflect the committed changes.